chkrootkit (0.58b-5) unstable; urgency=medium

  * Team upload

  [ Richard Lewis ]
  * Add binutils and procps to 'depends' (Thanks to Stephen Helma for
    spotting this). (Closes: #1107587)

 -- Richard Lewis <richard.lewis.debian@googlemail.com>  Sat, 14 Jun 2025 14:00:00 +0100

chkrootkit (0.58b-4) unstable; urgency=medium

  * Team upload

  [ Richard Lewis ]
  * Set ProtectSystem in the systemd unit to prevent tests modifying
    the access times of files that are examined. This ensures
    systemd-tmpfiles can continue to detect unused files in /tmp
    (Closes: #1089588)
  * Ensure the ldsopreload test can be run on its own
  * chkwtmp: prevent potential overflow in argument parsing
  * chkdirs: simplify code and improve message about unsupported
     fs: overlayfs is more likely to be the cause than btrfs
  * chkproc: fix detection of linux threads (prevents false positives),
     and improve output to show the command and systemd cgroup for
     suspicious pids
  * Refactor all debian patches to simplify upstreaming
  * Ensure everything compiles but does not silently
     do nothing on unsupported (non-linux) systems
  * Improve autopkgtests so they make less assumptions about being able to
     see network managers on the host (Closes: #1093596)

  [ Sven Geuer ]
  * Bump Debian copyright years

 -- Richard Lewis <richard.lewis.debian@googlemail.com>  Wed, 5 Feb 2025 18:00:00 +0000

chkrootkit (0.58b-3) unstable; urgency=medium

  [ Richard Lewis ]
  * Team upload
  * Fix autopkgtests on non-amd64 architectures
  * Update debian/copyright file, and run
     wrap-and-sort -stkb (thanks to Simon Josefson)

 -- Richard Lewis <richard.lewis.debian@googlemail.com>  Sun, 29 Sep 2024 20:50:00 +0100

chkrootkit (0.58b-2) unstable; urgency=medium

  [ Richard Lewis ]
  * Team upload
  * Flag whether files flagged as 'suspicious' are from
     Debian packages (Closes: #1053979, #1049411). Thanks to
     Alban Browaeys for suggesting this.
  * Allow -e to hide much more results (Closes: #1025257 - you can
    use wildcards thanks to Peter Gervai for the suggestion)
  * Fix -r to not skip several tests.
  * Allow running as non-root (although some tests will not work,
    but most will)
  * Document false positive from ansible (Closes: #1049411)
     and mosh (Closes: #1075883)
  * Ensure check of PHP files copes with files with quotes
     in their names (Closes: #1071377)
  * Ensure the systemd timer runs once every day, even if
     the system is suspended (Closes: #1035025, thanks to
     'richardn')
  * (new patch 87a,b) Improve output from ifpromisc: It will
     now set an exit code of 1 if anything was found, and no
     output will be produced if there are no siffers
     (Closes: #1035303)
  * Skip utmp check if no /var/run/utmp: systems with a 64-bit
     time_t may no longer have this file at all (Closes: #1080332).
  * Skip wtmp check if no /var/log/wtmp: systems with a 64-bit
     time_t may no longer have this file at all (Closes: #1082087).
  * Skip lastlog check if no /var/log/lastlog: systems with
     a 64-bit time_t may no longer have this file at all
     (also part of #1082087).
  * Drop patch 22: not actually needed
  * Improve man-page (Closes: #1070231)
  * Update patch 20: Use CCFLAGS when building check_wtmpx
     (avoids blhc(1) warning)
  * Standards-Version 4.7.0 (no changes needed)

 -- Richard Lewis <richard.lewis.debian@googlemail.com>  Tue, 13 Aug 2024 12:50:00 +0100

chkrootkit (0.58b-1) unstable; urgency=medium

  [ Richard Lewis ]
  * Team upload
  * New upstream release (0.58b)
    - new option '-T' to exclude files system mount
       points (from some checks)
    - new checks for BPF Door and Tsunami DDoS Malware
    - (includes fix from debian patch 79)
  * Document that anything creating executables in /tmp, including
     'apt source' can create false positives (Closes: #1004232)
  * Update metadata and debian/watch: upstream website
     now supports https and the download location has changed
  * Refresh patches, and make minor improvement to patch 27 to
     fix compilation on hurd-i386 (Closes: #1035086)

 -- Richard Lewis <richard.lewis.debian@googlemail.com>  Thu, 20 Jul 2023 18:29:00 +0100

chkrootkit (0.57-2) unstable; urgency=medium

  [ Richard Lewis ]
  * Team upload
  * Fix several tests that did not work, contained syntax errors or
     where the output did not make clear what had been found
     (and remove spurious file in /usr/lib/chkrootkit/1 created as a result,
     thanks to Thomas Dorner)
     (Closes: #1032122, #589682)
  * Update autopkgtests to avoid warnings from grep (Thanks to Seb35)
     (Closes: #1019460)
  * Add systemd timer (Closes: #745433 as you can change the time the unit runs)
  * Add NEWS.Debian to document disabled tests
  * All lintian warnings are now fixed or overridden

 -- Richard Lewis <richard.lewis.debian@googlemail.com>  Sun, 12 Mar 2023 12:31:00 +0100

chkrootkit (0.57-1) unstable; urgency=medium

  [ Seb35 ]
  * Downloading address changed

  [ Marcos Fouces ]
  * New upstream version 0.57
  * Refresh patches for new upstream release.
  * Bump to Standards-Version 4.6.2 (no changes needed).
  * Update d/copyright.

 -- Marcos Fouces <marcos@debian.org>  Thu, 09 Feb 2023 00:24:44 +0100

chkrootkit (0.55-4) unstable; urgency=medium

  [ Richard Lewis ]
  * Prevent autopkgtests failing on non-amd64 architectures due to
     differing output from the test for 'Linux/Ebury', which will
     only run on am64

  [ Marcos Fouces ]
  * Fix minor spelling errors spotted by Lintian.

 -- Marcos Fouces <marcos@debian.org>  Thu, 23 Dec 2021 18:12:03 +0100

chkrootkit (0.55-3) unstable; urgency=medium

  [ Richard Lewis ]
  * Prevent autopkgtests failing in lxc containers where root cannot
     read files in /dev (patch 61, 62)
  * Make test for T.R.K capable of reporting suspicious files (patch 63)

  [ Marcos Fouces ]
  * Fix minor spelling errors.

 -- Marcos Fouces <marcos@debian.org>  Wed, 08 Dec 2021 00:01:17 +0100

chkrootkit (0.55-2) unstable; urgency=medium

  [ Richard Lewis ]
  * Move configuration to /etc/chkrootkit/chkrootkit.conf and manage
    it as a conffile rather than via debconf
  * This enables various improvements to /etc/cron.daily/chkrootkit:
    - Improved default filtering and make filtering fully customisable
      (Closes: #630880, #666989, #669333, #677315, #877666, #488558).
    - run under ionice if possible (Closes: #745431)
  * Remove messages "OooPS, not expected" messages from
     chkproc by re-increasing MAX_PROCESSES to the upstream
     value (Closes: #982998) and preventing chkproc sending kill signals
     to processes to see if they might be malicious. (patches 55, 55a)
     This does re-disable a test for Enye LKM.
  * Prevent ckrootkit hanging when invoked from an LXC container
     (Closes: #872379), thanks to Scott Barker for identifying the issue
     (patch 61).
  * Various improvement to the output of chkrootkit
     - stop merging output of sniffer test into a single line so '-s'
       can be used as intended (patch 60)
     - fix the test of sshd so it runs when sshd is found
        instead of when it is not (patch 56)
     - ensure rexedcs tests produces any output when it finds
       something suspicious (patch 60)
     - ensure output lines up, especially if '-q' is not present
     - remove spurious spaces (patch 53, 54, 55a,57, 58)
     - do not list directories twice in list of 'suspicious' files (patch 59)
        and show output when -q not given (patch 25a)
     - fix spelling error in chkdirs output (patch 52)
     - further improvements to output of 'chkrootkit -h' (edits to
        patch 26, patch 26a)
  * Remove bashism from d/25_fix-nfs-legacy-sniffers.patch.
    (Closes: #994153).
  * Documentation copy-edited for grammar (and occaisional accuracy)
  * Update dependencies so that packages whose binaries are tested are listed
     in 'Enhances' and add iproute2 as a preferred alternative to net-tools
  * Update documentation of earlier patches (1-51), recording
     which have been sent upstream
  * Add some autopkgtests

  [ Marcos Fouces ]
  * Update copyright file.

 -- Marcos Fouces <marcos@debian.org>  Tue, 09 Nov 2021 22:44:33 +0100

chkrootkit (0.55-1) unstable; urgency=medium

  * New upstream version 0.55
  * Refresh all patches for new upstream release.
  * Bump to Standards-Version 4.6.0 (no changes needed).

 -- Marcos Fouces <marcos@debian.org>  Fri, 23 Jul 2021 00:01:21 +0200

chkrootkit (0.54-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches for new upstream release.
  * Bump to Standards-Version 4.5.1 (no changes needed).
  * Upgrade watch file uscan version to 4.
  * Update copyright dates.

 -- Marcos Fouces <marcos@debian.org>  Thu, 07 Jan 2021 08:53:34 +0100

chkrootkit (0.53-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Fix day-of-week for changelog entries 0.31-2.

  [ Marcos Fouces ]
  * Change section of binary manpages from 1 to 8 as they are
    administrator tools.
  * Bump to Standards-Version: 4.5.0 (no changes required).
  * Add Rules-Requires-Root: no in d/control.
  * d/chkrootkit.cron.daily:
    ~ Remove outdated sed filtering based on old network
      interface name scheme.
    ~ Rename properly.
    ~ Redirect poperly chkrootkit stderr. (Closes: #934486).
    ~ Set exit status always to zero using " || true". (Closes: #943727)
  * d/chkrootkit.8:
    ~ Update and improve man page.
  * d/patches:
    ~ Add 25_fix-nfs-legacy-snifers.patch. (Closes: #580491, #548582, #919911).
    ~ Add 26_improve-info-help-display.patch. Add more info on "-e"
      and "-s" options (Closes: #586897).
    ~ Add 27_fix-race-condition-ps-proc.patch (Closes: #535942).
    ~ Fix 17_Suckitfalse.patch for non-systemd init systems. (Closes: #901557).
    ~ Refresh patches.
  * Update uploader email to @debian.org

  [ Christian Göttsche ]
  * Improve 27_fix-race-condition-ps-proc.patch
  * Add patches handling compiler and static analyzer issues
  * Add some default compiler warnings
  * Bump to debhelper compat level 13

 -- Marcos Fouces <marcos@debian.org>  Tue, 06 Oct 2020 23:08:55 +0200

chkrootkit (0.53-1) unstable; urgency=medium

  * New upstream version 0.53
  * Refresh patches for new upstream release.

 -- Marcos Fouces <marcos.fouces@gmail.com>  Fri, 19 Jul 2019 23:19:47 +0200

chkrootkit (0.52-3) unstable; urgency=medium

  * d/patches:
    - Fix for incorrectly initialized variable in chk_tcpd(). Thanks to
    François Marier (Closes: #919254).
    - Fix minor spelling error in 02_workingdir.patch (spotted by Lintian).
  * d/control
    - Bump debhelper compatibility level to 12
    - Switch Build-Depends from debhelper to debhelper-compat.
    - Bump to Standards-revision 4.3.0 (no changes required).
  * d/compat
    - Dropped. It became obsolete since dh 12.
  * d/changelog
    - Remove trailing whitespaces.

 -- Marcos Fouces <marcos.fouces@gmail.com>  Fri, 01 Mar 2019 00:23:34 +0000

chkrootkit (0.52-2) unstable; urgency=medium

  * Team upload.

  [ Lorenzo "Palinuro" Faletra ]
  * Update /etc/cron.daily/chkrootkit (Closes: #600109).
  * Add exception for ser2net in scalper() (Closes: #564147).

  [ Raphaël Hertzog ]
  * Update team maintainer address to Debian Security Tools
    <team+pkg-security@tracker.debian.org>
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org
  * Bump Standards-Version to 4.1.4.
  * Fix typos spotted by Lintian in patches metadata.

  [ Christian Göttsche ]
  * Fix noise in quiet mode (Closes: #872027)

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 19 Apr 2018 22:57:12 +0200

chkrootkit (0.52-1) unstable; urgency=medium

  * Assign to pkg-security.
  * Bump to dh 10.
  * New upstream version 0.52
  * d/patches
    + Reorder,refresh and polish all patches
    + Replace use of /lib/init/rw with /run
      in 09_excludes.patch (Closes: #633047)
    + Add 20_Proper-flags.patch.
    + Add 21_fix_loc_function.patch. Thanks to Arthur de Jong
      (Closes: #659850)
    + Add 22_fix_Makefile_target.patch. Thanks to Lukas Schwaighofer.
    + Add 23_fix_cross_compilation.patch. Lukas Schwaighofer.
  * d/copyright
    + Rewrite to be dep5 compliant.
  * d/rules
    + Rewrite using dh syntax.
    + Keep full BUILT_USING assignment. Thanks to G. Costamagna
    + Remove override_dh_auto_build. Thanks to Lukas Schwaighofer
  * No need build-depends on quilt
  * Bump to Standards-version 4.0.0
  * Add optional ignore list to reduce false positives.
    Thanks to www.electricmonk.nl (Closes: #660998)
  * Remove unneeded directories in dir file.

 -- Marcos Fouces <marcos.fouces@gmail.com>  Mon, 24 Jul 2017 23:06:29 +0200

chkrootkit (0.50-4) unstable; urgency=low

  * [132754e] Fix windigo false positive (Closes:#796599)
  * [76f4907] Update Brazilian Portuguese debconf templates translation
    (Closes:#652829) Thanks to Flamarion Jorge
  * [9716d27] Fix FTCBFS: Let dh_auto_build pass cross compilers to make.
    (Closes:#843909) Thanks to Helmut Grohne

 -- Giuseppe Iuculano <iuculano@debian.org>  Tue, 27 Dec 2016 13:14:43 +0100

chkrootkit (0.50-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/fix-stack-smash.patch:
    - Fix segfault when running chkrootkit. (Closes: #767403)

 -- Artur Rona <ari-tczew@ubuntu.com>  Sun, 06 Sep 2015 21:48:14 +0200

chkrootkit (0.50-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add missing dependency on openssh-client. Closes: #785322
  * Add Built-Using field to track the source package required to rebuild
    the statically linked binary. Closes: #769353

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 07 Jul 2015 17:48:12 +0200

chkrootkit (0.50-3) unstable; urgency=high

  * [9e1ed7f] Ignore Suckit false positive (Closes: #740898)

 -- Giuseppe Iuculano <iuculano@debian.org>  Mon, 23 Mar 2015 10:08:37 +0100

chkrootkit (0.50-2) unstable; urgency=medium

  * [75640f4] Switch to dpkg-source 3.0 (quilt) format and apply patches
    (Closes: #754684)

 -- Giuseppe Iuculano <iuculano@debian.org>  Sun, 19 Oct 2014 12:55:16 +0200

chkrootkit (0.50-1) unstable; urgency=low

  * [08e52cd] Imported Upstream version 0.50
  * [64dfe63] Refreshed patches
  * [c2c3369] Fix FTBFS on kfreebsd-* (Closes: #754684)
  * [2c99320] Fixed the suspect PHP files check (Closes: #705946)
    Thanks to Andreas Stempfhuber
  * [6763191] Use hardening flags

 -- Giuseppe Iuculano <iuculano@debian.org>  Sat, 18 Oct 2014 17:43:22 +0200

chkrootkit (0.49-5) unstable; urgency=high

  [ Luca Capello ]
  * [c2fb1af] debian/patches/kallsyms.patch: DEP-3, credits to original author
  * [eeba363] debian/patches/kallsyms.patch:
    (Closes: #680263) check N.M, not only M

  [ Giuseppe Iuculano ]
  * [9c9d633] Fix CVE-2014-0476.
    Thanks to Thomas Stangner

 -- Giuseppe Iuculano <iuculano@debian.org>  Tue, 03 Jun 2014 20:58:19 +0200

chkrootkit (0.49-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Trivial lintian fixes:
    - Do not use brace expansion in chkrootkit.install
    - Introduce tricial build-arch and build-indep build targets
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #605436
    - Dutch (Jeroen Schot).  Closes: #623569
    - Catalan (Innocent De Marchi).  Closes: #632199
    - Slovak (Slavko).  Closes: #651186

 -- Christian Perrier <bubulle@sesostris.kheops.frmug.org>  Thu, 15 Dec 2011 20:40:16 +0100

chkrootkit (0.49-4) unstable; urgency=low

  * [4cb2e6c] Removed unused patches
  * [08588e1] Updated my email address, and removed DMUA
  * [b572b4a] Bump Standards-Version, no changes needed
  * [19ce77e] Fixed -e option in cron.daily. (Closes: #549938) - thanks
    to Xavier

 -- Giuseppe Iuculano <iuculano@debian.org>  Wed, 03 Mar 2010 16:02:28 +0100

chkrootkit (0.49-3) unstable; urgency=low

  * [543dafe] Fixed chkutmp parser and added a regexp to ignore PIDs in
    chkutmp output, thanks to Aaron M. Ucko. (Closes: #542327)
  * [d016db0] chkutmp: sort ps output by tty,ruser,args. Thanks to Aaron
    M. Ucko
  * [c1fb66c] Updated to standards version 3.8.3 (No changes needed)

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Fri, 28 Aug 2009 10:29:14 +0200

chkrootkit (0.49-2) unstable; urgency=low

  * [3ee046b] Provide exit code at the end of chkrootkit script, thanks
    to Arjan Opmeer (Closes: #541060)

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Sat, 15 Aug 2009 08:27:37 +0200

chkrootkit (0.49-1) unstable; urgency=low

  * [70bf018] Imported Upstream version 0.49
  * [508aa04] Refreshed patches, removed nophpcheck.patch and
    fixchkdirsinppc.patch
  * [64b0759] Fix a typo in chkrootkit -q check, thanks to  Jesse Norell
    (Closes: #538277)
  * [bdc9cac] Updated to standards version 3.8.2 (No changes needed)

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Sun, 09 Aug 2009 12:09:43 +0200

chkrootkit (0.48-10) unstable; urgency=low

  * [5feed88] Add a symlink for chklastlog and chkwtmp in /usr/sbin
  * [d194ed8] debian/cron.daily: Updated the dhcpd regexp to handle
    ethernet aliases. Thanks Richard Salts. (Closes: #525370)
  * [360a01a] Updated to standards version 3.8.1 (No changes needed)
  * [f757c97] Bump to debhelper 7 compatibility levels
  * [9f66bca] debian/control: Updated Vcs-Browser field
  * [0d019b3] debian/rules: use dh_prep instead of deprecated dh_clean
    -k
  * [a73e8f6] use set -e in debian/config and debian/cron.daily and fix
    pedantic lintian warning maintainer-script-without-set-e

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Fri, 24 Apr 2009 12:05:04 +0200

chkrootkit (0.48-9) unstable; urgency=low

  * [5e5e86d] Updated Spanish debconf translation, thanks to Francisco
    Javier Cuadrado (Closes: #507753)
  * [bda385f] Switch to quilt
  * [730645f] debian/README.source: Updated with quilt info
  * [4f11213] debian/patches/excludes.patch: extend -e options also for
    files associated with specific rootkits (Closes: #498062) and write
    rootkit filenames (Closes: #126160), thanks to James R. Van Zandt.
  * [fe81414] debian/cron.daily: Warns about the change until the user
    acknowledges the change. (Closes: #286735, #445955) Thanks to
    Richard Lewis
  * [d22dd97] Use /var/log/chkrootkit as log dir instead of
    /var/cache/chkrootkit, and remove it on purge

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Wed, 07 Jan 2009 19:14:36 +0100

chkrootkit (0.48-8) unstable; urgency=low

  * debian/patches/fixchkdirsinppc.dpatch: This trivial patch fixes "chkdirs
    called with wrong arguments" issue on powerpc. Thanks to Enrico Zini
    (Closes: #501066)
  * debian/control: Removed pointless libc6.1-dev [ia64] depends
    introduced as a workaround for an old bug in kernel-headers (2.4.x)

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Wed, 26 Nov 2008 17:38:58 +0100

chkrootkit (0.48-7) unstable; urgency=low

  * New maintainer, thanks to Francois Marier for the prior work on chkrootkit.
    (Closes: #506721)
  * debian/patches/fixwarnings.dpatch: Some little fixes to silence compiler.
  * added debian/README.source to document dpatch usage, as required by Debian
    Policy since 3.8.0
  * debian/control:
    + Set me as maintainer
    + set DM-Upload-Allowed: yes control field
    + Added ${misc:Depends} in Depends
  * debian/patches/nophpcheck.dpatch: Delete the "suspect PHP files" check.
    Not only does it trigger SIGPIPE for file names which contain special
    unescaped characters, the second half is doubtful (it doesn't print any
    filenames and gets confused by binary file contents). (Closes: #479187)
  * debian/patches/logpath.dpatch: Read logs from /var/log instead of /var/adm
  * debian/patches/procpsv3.dpatch: Let chkproc default to procps version 3.
    (Closes: #477945) (Closes: #497253)

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Tue, 25 Nov 2008 12:09:17 +0100

chkrootkit (0.48-6) unstable; urgency=low

  * Move all upstream code changes to dpatch
  * Swap maintainer and uploader fields
  * Allow more than one -e option (closes: #489334)
  * Line-up reports using printf (closes: #343284)
  * Remove superfluous backslashes (closes: #498063)

 -- Francois Marier <francois@debian.org>  Sun, 23 Nov 2008 13:52:20 +1300

chkrootkit (0.48-5) unstable; urgency=low

  * Remove filtering/ignore stuff from the cron job and the README.Debian
  * Update Swedish debconf translation (closes: #491759)

 -- Francois Marier <francois@debian.org>  Wed, 23 Jul 2008 17:25:49 +1200

chkrootkit (0.48-4) unstable; urgency=low

  * Taken this package over with permission from Francois
  * Added updated Japanese translation (closes: #489937)

 -- Mike Forbes <mike@nothing.net.nz>  Wed, 09 Jul 2008 15:49:33 +1200

chkrootkit (0.48-3) unstable; urgency=low

  * Add nfs-common to the list of false positives (closes: #484781)
  * Use passive FTP in the watch file
  * Bump Standards-Version up to 3.8.0

 -- Francois Marier <francois@debian.org>  Tue, 17 Jun 2008 14:27:06 +1200

chkrootkit (0.48-2) unstable; urgency=high

  * Remove check for Enye LKM, which was causing unrelated
    software to die, hence the urgency (closes: #457828)
  * Improve layout of main manpage (closes: #469724)
  * Remove stripping in the upstream Makefile (closes: #436626)
  * Add errors messages when commands are not found (closes: #347879)
  * Fix shell history anomaly (closes: #402477)
  * New option to exclude false positives from the list of reported
    dotfiles (closes: #406493, #426068)
  * Rename /proc/ksyms to /proc/kallsyms on 2.6 kernels (closes: #411128)
  * Fix NFS-skipping -n option (closes: #234469)
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. (closes: #466967)

 -- Francois Marier <francois@debian.org>  Mon, 21 Apr 2008 22:41:11 +1200

chkrootkit (0.48-1) unstable; urgency=low

  * New upstream release (closes: #471241)
  * Set myself as maintainer for this orphaned package
  * Add upstream homepage and packaging git repo
  * Add watch file

  * Packaging fixes:
   - Always run debconf-updatepo in the clean target
   - Bump Standards-Version to 3.7.3 and debhelper to 6
   - Cleaned-up copyright file
   - Remove empty prerm script
   - Fix make clean lintian warning
   - Don't translate default '-q' argument
   - Fix trivial errors in manpages
   - Remove unneeded lines in debian/rules

  * Debconf templates:
   - Fix lintian warnings
   - New Norwegian translation (closes: #467531)
   - New Basque translation (closes: #468044)
   - New Finnish translation (closes: #468216)
   - New Vietnamese translation (closes: #468480)
   - New Russian translation (closes: #470510)
   - Updated Galician translation (closes: #468079)
   - Updated Spanish translation (closes: #469284)
   - Updated French translation (closes: #469300)
   - Updated Italian translation (closes: #469986)
   - Updated German translation (closes: #469988)
   - Updated Czech translation (closes: #470151)
   - Updated Portugese translation (closes: #470950)

 -- Francois Marier <francois@debian.org>  Sun, 20 Apr 2008 23:01:41 +1200

chkrootkit (0.47-1.1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
    - Portuguese. Closes: #409449
    - Galician. Closes: #412196
    - All PO files converted to UTF-8, except Japanese

 -- Christian Perrier <bubulle@debian.org>  Mon,  5 Mar 2007 07:51:28 +0100

chkrootkit (0.47-1) unstable; urgency=low

  * New upstream release

 -- lantz moore <lmoore@debian.org>  Sat, 18 Nov 2006 00:59:53 -0800

chkrootkit (0.46a-4) unstable; urgency=low

  * don't throw away results of find (closes: 365715)
  * fixed spelling mistake in chkwtmp.1 (closes: 365567)
  * added debconf translations (closes: 358045,364296,374027)
  * removed showtee libfl check since it would cause a
    false positive on most debian systems (closes: 387312,387358)
  * use -wholename in find instead of -name (closes: 389520)
  * tightened up LPD inetd regex (closes: 322889)
  * added knockd to README.FALSE-POSITIVES (closes: 356774)

 -- lantz moore <lmoore@debian.org>  Sat, 30 Sep 2006 13:25:07 -0700

chkrootkit (0.46a-3) unstable; urgency=low

  * really adding german debconf translation (closes: 326139)
  * use SIGXFSZ instead of hardcoded 25 (closes: 346333)

 -- lantz moore <lmoore@debian.org>  Fri, 17 Feb 2006 20:55:58 -0800

chkrootkit (0.46a-2) unstable; urgency=low

  * better handling of long command lines in chkproc (closes: 328991)
  * fixed sign issue on ifpromisc:find_packet_info (closes: 333068)
  * more user friendly output of suspicious files in quiet mode (closes: 306787)

 -- lantz moore <lmoore@debian.org>  Fri, 25 Nov 2005 23:32:54 -0800

chkrootkit (0.46a-1) unstable; urgency=low

  * New upstream release (closes: 337943)
  * added findargs to the 'shell history anomalies' test (closes: 297680)
  * added quieting capability to chklastlog (closes: 306263)
  * the wted test was running even when no wtmp file was found, fixed (see:
    306449)
  * added note to README.FALSE-POSITIVE
    - mindi has hidden files (closes: 306784)
    - erlang-base's epmd listens on a bindshell port (closes: 309386)
    - perl has .packlist files (closes: 309387)
    - realplay has .realplayerrc (closes: 309942)
    - smlnj has .{cm,run,heap} files (closes: 323191)
    - gnustep-make has .GNUsteprc (closes: 337962)
    - pipsecd listens on a scalper port (closes: 307349)
  * added optional depends debconf-2.0 (closes: 331777)
  * added debconf translations (closes:
    310029,326139,306648,311107,313250,333487,318873,334394)
  * output suspicious files on separate lines (closes: 316610)
  * added dependency on procps (closes: 333710)

 -- lantz moore <lmoore@debian.org>  Thu, 24 Nov 2005 13:17:21 -0800

chkrootkit (0.45-1) unstable; urgency=low

  * New upstream release (closes: 305708, 305710)
  * use -f for conf file test (closes: 289647)
  * added debconf translations
    (closes: 294775,291754,287755,286473,286041)
  * added more false positives to README.Debian:
      - blackdown java (closes: 286870, 290816)
      - blender (closes: 287062)
      - mldonkey-server (closes: 304561, 295889)
      - twiki (closes: 298394)
      - viewglob, kaffe (closes: 287109,286057)
      - bitlbee (closes: 234566)
      - tiger (closes: 223428)
      - radius (closes: 192438,229673)
  * only run chkrootkit from cron.daily if the package is still installed
    (closes: 300217,291494)
  * disabled chkutmp as it seems unstable
  * getCMD now only runs test if ps shows the prog as running
    (closes: 262586)
  * added ability for the daily run to only report problems if they differ
    from the previous days run (closes: 290690,286735)
  * removed an invalid changelog entry

 -- lantz moore <lmoore@debian.org>  Thu, 21 Apr 2005 17:28:26 -0700

chkrootkit (0.44-2) unstable; urgency=low

  * use the right conf var in cron.daily (closes: #285061)
  * fixed bad exit code in cron.daily (closes: #285093)
  * fixed misspelling in templates (closes: #285096)

 -- lantz moore <lmoore@debian.org>  Fri, 10 Dec 2004 09:23:31 -0800

chkrootkit (0.44-1) unstable; urgency=low

  * New upstream release (closes: #277785)
  * applied gender patch from jason@debian.org (closes: #264511)
  * false positives already reported in README.debian
    (closes: #265571,#276761,#251719,#245983,#222060,#222035,#192772)
  * new false positives listed in README.debian (closes: #227624)
  * remove bashism from debian/rules (closes: #227065)
  * add getconf LFS_CFLAGS to CFLAGS (closes: #263702)
  * build-depends on po-debconf

 -- lantz moore <lmoore@debian.org>  Wed,  8 Dec 2004 12:28:48 -0800

chkrootkit (0.43-2) unstable; urgency=low

  * debconf and cron.daily support (closes: #223466)

 -- lantz moore <lmoore@debian.org>  Sat, 10 Jan 2004 14:08:15 -0800

chkrootkit (0.43-1) unstable; urgency=low

  * New upstream release (closes: #127610)
  * added dependency on net-tools (closes: #224029)
  * added note about dhcpd false positive (closes: #225827)
  * added note about chroot environs (closes: #211379)
  * added note about subversion metadata dirs (closes: #204910)

 -- lantz moore <lmoore@debian.org>  Sat, 10 Jan 2004 11:24:37 -0800

chkrootkit (0.42b-1) unstable; urgency=low

  * New upstream bug-fix release
  * fixed a couple bugs with find, ls, and expertmode_output
    (closes: #211185,#222062)
  * ifpromisc now parses /proc/net/packet so that it can provide better
    diagnostics. (forwarded patch upstream) (closes: #214990)
  * added note about postfix-tls in README.Debian (closes: #222105)
  * added note about cfs in README.Debian (closes: #193784)
  * added note about procps in README.Debian (closes: #222811)
  * fixed gnomeview -> geomview "misspelling" in README.Debian
    (closes: #218796)
  * added note about run in README.Debian (closes: #222778)
  * added note about pppoe in README.Debian (closes: #222593)
  * added note about r-cran-hmisc & scilab (closes: #222793)
  * added note about procps bug (closes: #222811)
  * removed build-depends on dbs

 -- lantz moore <lmoore@debian.org>  Fri,  5 Dec 2003 16:03:51 -0800

chkrootkit (0.42-2) unstable; urgency=low

  * build-depend on versioned debhelper

 -- lantz moore <lmoore@debian.org>  Sun, 14 Sep 2003 15:05:03 -0700

chkrootkit (0.42-1) unstable; urgency=low

  * New upstream release (closes: #210933, #202198)
  * added note about gnomeview false alarm (closes: #206521)

 -- lantz moore <lmoore@debian.org>  Sun, 14 Sep 2003 14:42:26 -0700

chkrootkit (0.41-2.1) unstable; urgency=high

  * Fix FTBFS, thus urgency=high (closes: #203853)

 -- Benjamin Drieu <benj@debian.org>  Fri,  5 Sep 2003 11:36:17 +0200

chkrootkit (0.41-2) unstable; urgency=low

  * fixed some issues with ROOTDIR not being used appropriately

 -- lantz moore <lmoore@debian.org>  Sun, 20 Jul 2003 13:15:35 -0700

chkrootkit (0.41-1) unstable; urgency=low

  * New upstream release (closes: #199406, #185575)
  * integrated partial patch from #189090
  * ifproc should be quiet again (closes: #190978)

 -- lantz moore <lmoore@debian.org>  Sun, 20 Jul 2003 10:55:45 -0700

chkrootkit (0.40-1) unstable; urgency=low

  * New upstream release (closes: #186847)
  * using dbs

 -- lantz moore <lmoore@debian.org>  Sun, 13 Apr 2003 13:19:25 -0700

chkrootkit (0.38-1) unstable; urgency=low

  * New upstream release (closes: #175447)
  * Added note to README.Debian (closes: #132079, #160539, #167459)

 -- lantz moore <lmoore@debian.org>  Sun,  5 Jan 2003 12:41:49 -0800

chkrootkit (0.37-2) unstable; urgency=low

  * Added debhelper build-depends. (closes: #163281)

 -- lantz moore <lmoore@debian.org>  Fri,  4 Oct 2002 22:54:25 -0700

chkrootkit (0.37-1) unstable; urgency=low

  * New upstream release. (closes: Bug#153163)
  * applied "quiet" patch from BTS.  (closes: Bug#163154)
  * retooled debian/rules to use debhelper. (closes: #162726, #142422)

 -- lantz moore <lmoore@debian.org>  Wed,  2 Oct 2002 21:34:54 -0700

chkrootkit (0.36-1) unstable; urgency=low

  * New upstream release

 -- Yotam Rubin <yotam@makif.omer.k12.il>  Sun,  7 Jul 2002 18:04:49 +0300

chkrootkit (0.35-2) unstable; urgency=low

  * Updated contact address.

 -- Yotam Rubin <yotamr@bezeqint.net>  Wed, 22 May 2002 16:21:20 +0300

chkrootkit (0.35-1) unstable; urgency=low

  * New upstream release. Closes: Bug#131152.
  * Provided location of upstream sources in copyright. Closes: Bug#129551.
  * Added the -q argument to chkrootkit's manual page. Closes: Bug#128898.
  * Disabled line break on line 91. Closes: Bug#128916.
  * Fixed indentation in chkrootkit's manual page. Closes: Bug#129552

 -- Yotam Rubin <yotam@makif.omer.k12.il>  Thu, 31 Jan 2002 11:28:20 +0200

chkrootkit (0.34-4) unstable; urgency=low

  * Fixed kernel version checking error. Patch from David Coe.
    Closes: Bug#128841, Bug#128840
  * Added missing manual pages for chktwmp and chklastlog. Closes: Bug#127846
  * Documented false alarm with noflushd. Closes: Bug#127976.

 -- Yotam Rubin <yotam@makif.omer.k12.il>  Sat, 12 Jan 2002 13:29:37 +0200

chkrootkit (0.34-3) unstable; urgency=low

  * Shortened short description.

 -- Yotam Rubin <yotam@makif.omer.k12.il>  Mon, 12 Nov 2001 23:17:05 +0200

chkrootkit (0.34-2) unstable; urgency=low

  * Added depends on binutils. Closes: Bug#118948

 -- Yotam Rubin <yotam@makif.omer.k12.il>  Sun, 11 Nov 2001 02:19:59 +0200

chkrootkit (0.34-1) unstable; urgency=low

  * Updated chkrootkit's README file.
  * Documented possible false alarms situations in README.Debian.
    (Closes Bug#102993, Bug#105614)

 -- Yotam Rubin <yotam@makif.omer.k12.il>  Tue,  9 Oct 2001 20:52:41 +0200

chkrootkit (0.33-1) unstable; urgency=low

  * New upstream release

 -- Yotam Rubin <yotam@makif.omer.k12.il>  Wed, 13 Jun 2001 22:08:28 +0300

chkrootkit (0.32-2) unstable; urgency=low

  * Fixed find expression in line 461. Closes: Bug#97649

 -- Yotam Rubin <yotam@makif.omer.k12.il>  Wed, 16 May 2001 12:29:35 +0300

chkrootkit (0.31-3) unstable; urgency=low

  * Various manual page fixes.

 -- Yotam Rubin <yotam@makif.omer.k12.il>  Sat, 14 Apr 2001 19:30:06 +0300

chkrootkit (0.31-2) unstable; urgency=low

  * Uploaded package. Closes: #93787

 -- Yotam Rubin <yotam@makif.omer.k12.il>  Thu, 12 Apr 2001 01:43:02 +0300

chkrootkit (0.31-1) unstable; urgency=low

  * First Debian release

 -- Yotam Rubin <yotam@makif.omer.k12.il>  Thu, 12 Apr 2001 19:50:25 +0300
